---
type: api
title: Delete role mappings
description: Deletes the organization role  mappings. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-role-mappings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-role-mappings
products:
  - Elastic Cloud Hosted
---

# Delete role mappings

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `DELETE` `/organizations/{organization_id}/role_mappings`

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Deletes the organization role  mappings. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

The mappings were successfully deleted

`application/json`

Type: `EmptyResponse`

#### `404`

Organization not found. (code: `organization.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `409`

Concurrent organization modification. (code: `org.domain_claim.concurrent_organization_modification`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /organizations/{organization_id}/role_mappings
```

#### curl

```curl
curl -X DELETE "https://api.elastic-cloud.com/api/v1/organizations/{organization_id}/role_mappings"
```

